using System;
using UnityEngine;
using System.Collections;

public class DoNotDestroyOnLevelLoad : MonoBehaviour {

	
	void Awake() {
        //Debug.Log("Preserving " + name + " from Destruction...");
        try
        {
            DontDestroyOnLoad(transform.gameObject);
            //Debug.Log(name + " Preserved!");
        }
        catch (Exception e)
        {
            //Debug.LogError("Exception in " + name + " Awake: " + e);
            throw e;
        }
    }
}
